---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer purge. Reference for the POST
    /workspaces/{organizationId}/customers/purge endpoint in the Pile API.
sidebar:
  label: Create customer purge
  badge: POST
title: Create customer purge
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/purge`

**Request body** (`application/json`)

- `sourcedBy` (string)
- `sourceSession` (string)
- `dryRun` (boolean)

Request body example:

```json
{
  "sourcedBy": "string",
  "sourceSession": "string",
  "dryRun": true
}
```

**Responses**

- `200` — Purged agent-sourced customers

Response example, 200:

```json
{
  "matched": 0,
  "deleted": 0,
  "ids": [
    "string"
  ]
}
```
